/*************************************************************************
Copyright (C) MeetVR Technologies Co.,Ltd. All Rights Reserved.
------------ -------------------------------------------------------------------
    > File Name: tcp_client.c
    > Author: wuhx
    > Mail: wuhengxing@meetvr.com.cn
    > Created Time: Mon 13 May 2019 04:35:28 PM CST
 ************************************************************************/

#include <sys/types.h>
#include <time.h>
#include <sys/socket.h>
#include <string.h>
#include <netinet/in.h>
#include <stdio.h>
#include <stdlib.h>
#include <arpa/inet.h>
#include <unistd.h>

#define MV_CC3200_ERR       printf
#define MV_CC3200_DBG       MV_CC3200_ERR

int main(int argc, char *argv[])
{
	int sock_fd = -1;
	int port_num;
	char buf[1000] = {0};
	struct sockaddr_in remote_addr;
	socklen_t remote_size;
	int send_len;
    int i = 0;

	MV_CC3200_DBG("\nudp client demo\n");

    for(i=0; i<1000; i++)
        buf[i] = 0x30 + (i%9);

    sock_fd = socket(AF_INET, SOCK_DGRAM, IPPROTO_UDP);
	MV_CC3200_DBG("sock_fd is %d\n", sock_fd);
	if(sock_fd < 0)
	{
		MV_CC3200_ERR("udp server create socket error\n");
		return -1;
	}

    struct sockaddr random_addr;
    memset(&random_addr, 0, sizeof(random_addr));
    random_addr.sa_family = AF_INET;
    struct sockaddr_in* v4_addr = (struct sockaddr_in*)&random_addr;
    v4_addr->sin_addr.s_addr = inet_addr("192.168.4.116");
    v4_addr->sin_port = htons(5001);


    if(connect(sock_fd, &random_addr, sizeof(struct sockaddr)) == -1)
    {
        MV_CC3200_ERR("udp client connect error\n");
        close(sock_fd);
        return -1;
    }

    while(1)
	{
        time_t timestamp;
        timestamp = time(NULL);
		send_len = sendto(sock_fd, buf, 716, 0, &random_addr, sizeof(struct sockaddr));
        if(send_len<0)
        {
            perror("sendto failed");
            break;
        }
        printf("[1][time:%ld]send len = %d\n", timestamp, send_len);
        
        timestamp = time(NULL);
		send_len = sendto(sock_fd, buf, 60, 0, &random_addr, sizeof(struct sockaddr));
        if(send_len<0)
        {
            perror("sendto failed");
            break;
        }
        printf("[2][time:%ld]send len = %d\n", timestamp, send_len);
	}

    close(sock_fd);
	return 0;
}
